View all methods

teams.auditTrail

Retrieve team audit trail events.

Facts

Method GET https://api.getdx.com/teams.auditTrail
Required scope snapshots:read

Arguments

Name Type Description
token Token Auth token passed as an HTTP header.
cursor Text The value needed to fetch the next page of data—extracted from the response payload in response_metadata.next_cursor.

Example request

This is a typical request:

curl -X GET 'https://api.getdx.com/teams.auditTrail?cursor=<CURSOR_VALUE>' \
  -H 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx'

Example response

This is a typical success response:

{
  "events": [
    {
      "id": "MTQxMDb1",
      "actor": "support@getdx.com",
      "team": "AI",
      "action": "change_name",
      "metadata": {
        "to": "Artificial Intelligence",
        "from": "AI"
      },
      "created": 1737557847
    },
    {
      "id": "MTM1OTEf",
      "actor": "support@getdx.com",
      "team": "Core Data",
      "action": "change_manager",
      "metadata": {
        "to": {
          "id": "MTA1MjA2OA",
          "name": "Jane Doe",
          "email": "jane.doe@team.com"
        },
        "from": {
          "id": "NTYzNTgz",
          "name": "Martin Lopez",
          "email": "martin.lopez@team.com"
        }
      },
      "created": 1736515821
    }
  ]
}

Errors

This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok param in the response.

Error Description
not_authed No authentication token provided.
invalid_auth Some aspect of authentication cannot be validated.